Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] Compilation problems of OpenMPI 1.3.3 with Snow Leopard
From: Hakime Seddik (hakime_at_[hidden])
Date: 2009-10-16 03:13:15


Following my previous post regarding the problems that i am having to
compile OpenMPI 1.3.3 on Snow Leopard, I found a way to fix the problem.

When I was trying to compile OpenMPI, I used the -ftree-vectorize
compiler switch, which actually was the cause of the compilation
failure. Removing it fixed the problem and Open MPI 1.3.3 compiles now
fine. Note that this only affects Open MPI version 1.3 and higher.
Using the -ftree-vectorize switch when compiling Open MPI 1.2.9 does
not make any problem.

Hope it helps, if someone else is having the same issue.

Regards,

Hakime Seddik
Glacier and Ice Sheet Research Group
Tel:+81-(0)90-6263-4074
email: hakime_at_[hidden]

Institute of Low Temperature Science
Hokkaido University, Kita-19, Nishi-8, Kita-ku
Sapporo 060-0819. Japan